Subject: Citiznes Amendment
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 7 Dec 2000 23:30:00 -0800 (PST)

Dan:

Citizens has come back with some questions on the amendment you drafted.  I 
have discussed these changes with them and redrafted the agreement to adopt 
some of their ideas but in a manner to make it more acceptable to us.  This 
is attached.  Please review and edit this document and return to me so I can 
forward to Citizens.

My number is 503/464-3822.

Chris